### Function

# ECal RecurResolveTimezoneCb

since: 3.34

#### Declaration

    ICalTimezone*
    (* ECalRecurResolveTimezoneCb) (
      const gchar* tzid,
      gpointer user_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Resolve timezone by its ID provided as `tzid`. The returned object, if not `NULL`, is owned by the callback implementation and should not be freed.

Available since: 3.34

#### Parameters

`tzid`

  Type: `const gchar*`

  Timezone ID to resolve.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data used for this callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `None`

An `ICalTimezone` object for `tzid`, or `NULL`, on error or if not found.

The data is owned by the called function.
The return value can be `NULL`.